Skip to main content
GET
/
projects
/
{id}
Get Project
curl --request GET \
  --url https://api.supapost.so/projects/{id}
{
  "id": "uuid-1234",
  "team_id": "team-uuid",
  "name": "Morning Routine Carousel",
  "type": "slideshow",
  "data": { },
  "thumbnail_url": "https://cdn.supapost.so/assets/team/thumb.jpg",
  "status": "draft",
  "created_by": "user-uuid",
  "created_at": "2026-04-01T12:00:00Z",
  "updated_at": "2026-04-07T15:30:00Z"
}
Returns the full project record including all project data.

Authentication

Authorization
string
Bearer token. Bearer <supabase-jwt>.

Path Parameters

id
string
required
The project ID (UUID).
{
  "id": "uuid-1234",
  "team_id": "team-uuid",
  "name": "Morning Routine Carousel",
  "type": "slideshow",
  "data": { },
  "thumbnail_url": "https://cdn.supapost.so/assets/team/thumb.jpg",
  "status": "draft",
  "created_by": "user-uuid",
  "created_at": "2026-04-01T12:00:00Z",
  "updated_at": "2026-04-07T15:30:00Z"
}